###################################################
### chunk number 1: 
###################################################
library(glmpathcr)
data(data)
x <- data[,1:1000]
y <- data$class
fit <- glmpath.cr(x,y)


###################################################
### chunk number 2: 
###################################################
summary(fit)
plot(fit, xvar = "step", type = "bic", plot.all.steps=TRUE, breaks = FALSE)


###################################################
### chunk number 3: 
###################################################
plot(fit, xvar = "step", type = "bic", plot.all.steps=TRUE, breaks = FALSE)


###################################################
### chunk number 4: 
###################################################
BIC.step <- model.select(fit)
BIC.step


###################################################
### chunk number 5: 
###################################################
coefficients<-coef(fit, s=BIC.step)
sum(coefficients!=0)
nonzero.coef(fit, s=BIC.step)


###################################################
### chunk number 6: 
###################################################
pred <- predict(fit)
table(pred, y)
pred <- predict(fit, which="AIC", type="probs")
pred[1:10,]


###################################################
### chunk number 7: 
###################################################
library(mvtnorm)
set.seed(9)
class1<-rmvnorm(30,mean=rep(0,1000),sigma=diag(1,nrow=1000))
class2<-rmvnorm(30,mean=c(1.5,rep(0,999)),sigma=diag(1,nrow=1000))
class3<-rmvnorm(30,mean=c(3,rep(0,999)),sigma=diag(1,nrow=1000))
class<-rep(0:2,each=30)
testset<-data.frame(cbind(rbind(class1,class2,class3),class))
rm(class1, class2, class3, class)
pred <- predict(fit, newx=testset[,1:1000])
table(pred, testset$class)


###################################################
### chunk number 8: 
###################################################
fit <- glmpath.cr(x, y, method="forward")


###################################################
### chunk number 9: 
###################################################
pred <- predict(fit)
table(pred, y)


